summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-13 00:58:14 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:58:14 +0200
commit08cde5d319c474b579685bb14bd3b35e2878eb74 (patch)
treecda6e71c91d43426a5e284d5ad43dfcc8f44008d /games
parentbc4d5a5aabee94b1d1f3b30f1e92ec1fadf4b854 (diff)
downloadslackbuilds-08cde5d319c474b579685bb14bd3b35e2878eb74.tar.gz
slackbuilds-08cde5d319c474b579685bb14bd3b35e2878eb74.tar.xz
games/xcowsay: Added to 13.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/xcowsay/README16
-rw-r--r--games/xcowsay/slack-desc19
-rw-r--r--games/xcowsay/xcowsay.SlackBuild81
-rw-r--r--games/xcowsay/xcowsay.info10
4 files changed, 126 insertions, 0 deletions
diff --git a/games/xcowsay/README b/games/xcowsay/README
new file mode 100644
index 0000000000..63e3b5e611
--- /dev/null
+++ b/games/xcowsay/README
@@ -0,0 +1,16 @@
+xcowsay displays a cute cow and message on your desktop. Inspired by
+the original cowsay.
+
+xcowsay includes all these amazing features:
+
+ * Fully configurable!
+ * Calculates display time from amount of text
+ * Dream mode — display images in the bubble
+ * Can draw thought and speech bubbles
+ * Daemon mode! Send your cow messages over DBus!
+ * Three different sized cows provided
+ * fortune(6) wrapper program: xcowfortune — cow will deliver pearls of wisdom!
+ * Replace the naffness that is xmessage(1)
+ * Should work with any window manager
+ * Supports UTF-8 characters properly
+ * Use alternative non-cow images if you like.
diff --git a/games/xcowsay/slack-desc b/games/xcowsay/slack-desc
new file mode 100644
index 0000000000..607ceb66c6
--- /dev/null
+++ b/games/xcowsay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xcowsay: xcowsay (displays a cute cow and message on your desktop)
+xcowsay:
+xcowsay: xcowsay displays a cute cow and message on your desktop. Inspired by
+xcowsay: the original cowsay.
+xcowsay:
+xcowsay:
+xcowsay:
+xcowsay:
+xcowsay:
+xcowsay:
+xcowsay:
diff --git a/games/xcowsay/xcowsay.SlackBuild b/games/xcowsay/xcowsay.SlackBuild
new file mode 100644
index 0000000000..d265778ae2
--- /dev/null
+++ b/games/xcowsay/xcowsay.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for xcowsay
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=xcowsay
+VERSION=${VERSION:-1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --enable-dbus \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/xcowsay/xcowsay.info b/games/xcowsay/xcowsay.info
new file mode 100644
index 0000000000..25e75e7b7f
--- /dev/null
+++ b/games/xcowsay/xcowsay.info
@@ -0,0 +1,10 @@
+PRGNAM="xcowsay"
+VERSION="1.2"
+HOMEPAGE="http://www.doof.me.uk/xcowsay/"
+DOWNLOAD="http://www.nickg.me.uk/files/xcowsay-1.2.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="a0f8e511a5c07d9e48057ad8100fa42b"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Erik Hanson"